-- Standard Turbine libraries
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local importPath = getfenv(1)._.Name;
local thurallorPath = string.gsub(importPath, "%.Reminders$", "");

-- Thurallor's libraries
local commonPath = thurallorPath .. ".Common";
import (commonPath .. ".Turbine");
import (commonPath .. ".Utils.Color_1");
import (commonPath .. ".Utils.AutoSizing_8");
import (commonPath .. ".Utils.Utils_14");
import (commonPath .. ".Utils.Locale_4");
import (commonPath .. ".Utils.ServerID");
import (commonPath .. ".UI.FreezeWarning");
import (commonPath .. ".UI.Tooltip_3");
import (commonPath .. ".UI.RoundButton_1");
import (commonPath .. ".UI.TrickButton_1");
import (commonPath .. ".UI.Marquee_2");
import (commonPath .. ".UI.EdgeMover_1");
import (commonPath .. ".UI.TableControl_2");
import (commonPath .. ".UI.Tabs_5");
import (commonPath .. ".UI.Resizer");
import (commonPath .. ".UI.DropDown_3");
import (commonPath .. ".UI.RadioButton_2");
import (commonPath .. ".UI.ColorPicker_3");
import (commonPath .. ".UI.Shockwave");
import (commonPath .. ".UI.Cascade_2");
import (commonPath .. ".UI.Zoomer_3");

-- Reminders source files
import (importPath .. ".Locale");
import (importPath .. ".Time");
import (importPath .. ".Schedule");
import (importPath .. ".Nudger");
import (importPath .. ".DelayControl");
import (importPath .. ".DayOfWeekControl");
import (importPath .. ".ConfirmDialog");
import (importPath .. ".ExpireTimeDialog");
import (importPath .. ".RotationTimesControl");
import (importPath .. ".ResetTimesControl");
import (importPath .. ".ResetTimesDialog");
import (importPath .. ".QuestRepeatedDialog");
import (importPath .. ".UnexpectedBestowalDialog");
import (importPath .. ".RaidLockDialog");
import (importPath .. ".NotesDialog");
import (importPath .. ".NotificationDialog");
import (importPath .. ".PostponeTimeDialog");
import (importPath .. ".Event");
import (importPath .. ".ItineraryDialog");
import (importPath .. ".Tab");
import (importPath .. ".Shimmering");
import (importPath .. ".OptionsPanel");
import (importPath .. ".Icon");
import (importPath .. ".MigrateDialog");
import (importPath .. ".Window");
import (importPath .. ".Main");
